from django.conf import settings

from moviepy.editor import VideoFileClip


def asset_upload(instance, filename):
    return f'videos/{filename}'


def generate_thumbnail(video_path, video_name):
    clip = VideoFileClip(video_path)
    thumbnail_name = video_name.split('.')[0]
    thumbnail_name = f'{settings.MEDIA_ROOT}{thumbnail_name}.jpg'
    clip.save_frame(thumbnail_name, t=1.00)

    thumbnail_name = thumbnail_name.split('/')[-1]

    return thumbnail_name
